/*
 * decl.h
 *
 * $Revision: 1.3 $
 */

#ifndef __DECL_H__
#define __DECL_H__

#include <stdlib.h>
#include "type.h"
#include "getopt.h"

/****************************************
  関数プロトタイプ宣言
****************************************/
int getopt(int, char *const[], const char *);
char *basename(char *);
char *xmalloc(size_t);
long tempo(long);
void putbuf(int, ...);
void dump(void);
void parse(char *const);
void parse_init(void);
char *my_strupr(char *);
struct CODE *in_note_set(char *, unsigned int);

/****************************************
  変数プロトタイプ宣言
****************************************/
extern char *progname;		/* プログラム名 */
extern boolean verbose;		/* たくさんメッセージモード */
extern boolean outf;		/* 出力ファイル名指定 */
extern char *outfile;		/* 出力ファイル名 */
extern char *infile;		/* 入力ファイル名 */
extern char *notetbl[];		/* デバッグ用ノートテーブル */
extern boolean labelf;		/* ラベル出力あり */
extern char *glabel;		/* 出力ラベル名 */
extern long inpline;		/* 入力ファイル行数 */

#endif /* __DECL_H__ */
